Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.

Bug 822883

Summary: [abrt] kernel: [158009.056231] kernel BUG at lib/radix-tree.c:365!
Product: [Fedora] Fedora Reporter: George Petasis <petasisg>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: gansalmon, itamar, jforbes, jonathan, kernel-maint, madhu.chinakonda
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:4e614cd8ae922ed7c3b22ccf29a5430877698ddf
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-14 10:29:33 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description George Petasis 2012-05-18 08:03:29 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.5-2.fc16.x86_64 root=UUID=38ec4dd0-9613-47ca-90aa-8228da930273 ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 acpi=off rd.luks=0 LANG=en_US.UTF-8
comment:        I don't know what caused this problem. I was running an application that requires alot of memory, and the OS froze (it responded only to ping).
event_log:      2012-05-18-15:01:01> Smolt profile successfully saved
kernel:         3.3.5-2.fc16.x86_64
reason:         [158009.056231] kernel BUG at lib/radix-tree.c:365!
time:           Wed 16 May 2012 06:00:54 AM EEST

backtrace:
:[158009.056231] kernel BUG at lib/radix-tree.c:365!
:[158009.056231] invalid opcode: 0000 [#1] SMP 
:[158009.056231] CPU 1 
:[158009.056231] Modules linked in: tcp_lp fuse lockd it87 hwmon_vid ip6t_REJECT nf_conntrack_ipv4 nf_conntrack_ipv6 nf_defrag_ipv4 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables sunrpc raid1 snd_hda_codec_hdmi microcode snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm k10temp sp5100_tco edac_core i2c_piix4 edac_mce_amd snd_timer snd soundcore snd_page_alloc r8169 shpchp mii uinput firewire_ohci ata_generic firewire_core pata_acpi crc_itu_t pata_atiixp radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:[158009.056231] 
:[158009.056231] Pid: 490, comm: tclsh Not tainted 3.3.5-2.fc16.x86_64 #1 Gigabyte Technology Co., Ltd. GA-MA790GP-DS4H/GA-MA790GP-DS4H
:[158009.056231] RIP: 0010:[<ffffffff812c6fc6>]  [<ffffffff812c6fc6>] radix_tree_insert+0x246/0x260
:[158009.056231] RSP: 0018:ffff88013fd21a08  EFLAGS: 00010006
:[158009.056231] RAX: 0000000004000020 RBX: ffff8800d42a1698 RCX: 00000000042ac2f0
:[158009.056231] RDX: ffffea0006154300 RSI: 0000000000000000 RDI: ffff8800d42a1698
:[158009.056231] RBP: ffff88013fd21a48 R08: 00000000042ac32c R09: 0000000000000000
:[158009.056231] R10: 0000000000000000 R11: 00000000000e5602 R12: 0000000000000000
:[158009.056231] R13: 0000000000000000 R14: ffffea0006154300 R15: 0000000000000000
:[158009.056231] FS:  00007fc73fff8700(0000) GS:ffff880227c80000(0000) knlGS:0000000000000000
:[158009.056231] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
:[158009.056231] CR2: 00007fb587849000 CR3: 00000001ee1bd000 CR4: 00000000000006e0
:[158009.056231] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:[158009.056231] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:[158009.056231] Process tclsh (pid: 490, threadinfo ffff88013fd20000, task ffff8801431eae60)
:[158009.056231] Stack:
:[158009.056231]  ffff88013fd21a48 ffffffff8117bdde ffff88013fd21a58 ffffea0006154300
:[158009.056231]  ffff8800d42a1690 0000000000000000 00000000000000d0 0000000000000000
:[158009.056231]  ffff88013fd21a88 ffffffff81120a23 ffff88013fd21ab8 ffffea0006154300
:[158009.056231] Call Trace:
:[158009.056231]  [<ffffffff8117bdde>] ? mem_cgroup_cache_charge+0xbe/0xd0
:[158009.056231]  [<ffffffff81120a23>] add_to_page_cache_locked+0xd3/0x160
:[158009.056231]  [<ffffffff81120ad1>] add_to_page_cache_lru+0x21/0x50
:[158009.056231]  [<ffffffff811bb803>] mpage_readpages+0xa3/0x120
:[158009.056231]  [<ffffffff81200290>] ? noalloc_get_block_write+0x30/0x30
:[158009.056231]  [<ffffffff811608e3>] ? alloc_pages_current+0xa3/0x110
:[158009.056231]  [<ffffffff811fc62d>] ext4_readpages+0x1d/0x20
:[158009.056231]  [<ffffffff8112c5d7>] __do_page_cache_readahead+0x1c7/0x270
:[158009.056231]  [<ffffffff8112c9b1>] ra_submit+0x21/0x30
:[158009.056231]  [<ffffffff8112cad5>] ondemand_readahead+0x115/0x230
:[158009.056231]  [<ffffffff8112ccc3>] page_cache_sync_readahead+0x33/0x50
:[158009.056231]  [<ffffffff81122388>] generic_file_aio_read+0x4f8/0x780
:[158009.056231]  [<ffffffff81180ba2>] do_sync_read+0xd2/0x110
:[158009.056231]  [<ffffffff81269773>] ? security_file_permission+0x93/0xb0
:[158009.056231]  [<ffffffff81181011>] ? rw_verify_area+0x61/0xf0
:[158009.056231]  [<ffffffff811814f0>] vfs_read+0xb0/0x180
:[158009.056231]  [<ffffffff8118160a>] sys_read+0x4a/0x90
:[158009.056231]  [<ffffffff815fc2e9>] system_call_fastpath+0x16/0x1b
:[158009.056231] Code: c4 18 b8 ef ff ff ff 5b 41 5c 41 5d 41 5e 41 5f 5d c3 8b 43 04 4c 89 73 08 a9 00 00 00 02 75 1c a9 00 00 00 04 0f 84 ce fe ff ff <0f> 0b 44 89 3b 45 89 fd 31 c0 e9 e6 fd ff ff 0f 0b 0f 0b 0f 0b 
:[158009.056231] RIP  [<ffffffff812c6fc6>] radix_tree_insert+0x246/0x260
:[158009.056231]  RSP <ffff88013fd21a08>
:[158009.056231] ---[ end trace 347f9f4fc23a3230 ]---

smolt_data:
:
:
:General
:=================================
:UUID: e1898a5c-13fd-441a-b863-7485458eb27b
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5639.78
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Phenom(tm) II X4 920 Processor
:CPU Stepping: 2
:CPU Family: 16
:CPU Model Num: 4
:Number of CPUs: 4
:CPU Speed: 2819
:System Memory: 7985
:System Swap: 45402
:Vendor: Gigabyte Technology Co., Ltd.
:System: GA-MA790GP-DS4H 
:Form factor: Desktop
:Kernel: 3.3.5-2.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17297:5208:45058) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4130:38409:4130:38400) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 5)
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4130:38400:4130:38400) pci, None, HOST/PCI, RS780 Host Bridge
:(4130:38402:4130:38402) pci, None, PCI/PCI, RS780/RS880 PCI to PCI bridge (int gfx)
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4172:32804:5208:4096) pci, firewire_ohci, FIREWIRE, GA-EP45-DS5 Motherboard
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, None, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(4098:17308:5208:20482) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:5208:17285) pci, piix4_smbus, SERIAL, GA-MA770-DS3rev2.0 Motherboard
:(4098:17309:4098:17309) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:5208:41218) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:38420:5208:53248) pci, radeon, VIDEO, Radeon HD 3300 Graphics
:(4098:38415:5208:38415) pci, snd_hda_intel, MULTIMEDIA, RS780 Azalia controller
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:5208:20484) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:5208:20484) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 14363960 12693531 11973992 3604480 3348380 3348380
:/dev/sda2 /boot ext4 4096 4096 261467 230628 217521 65536 65305 65305
:/dev/sdc3 /tmp ext4 4096 4096 11598749 11394381 10813223 2908160 2907837 2907837
:/dev/md1 /var ext4 4096 4096 17889535 15208987 14313001 4481024 4453638 4453638
:/dev/md0 /home ext4 4096 4096 153440296 65303045 57623060 38404096 23238008 23238008
:
Comment 1 Dave Jones 2012-07-16 15:19:15 EDT
this is very likely a hardware problem of some kind.
There's no other reports of a bug here, and this is pretty core code that everyone runs.

Start with memtest86.
Comment 2 Dave Jones 2012-10-23 11:35:07 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 3 Justin M. Forbes 2012-11-14 10:29:33 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.